/
Create a voice applicatio...
Security
bearerAuth and apiKeyAuth
- Mock serverhttps://developer.sprinklr.com/_mock/apis/sprinklr-v3/voice/application
- Production Serverhttps://api3.sprinklr.com/prod/api/v3/voice/application
curl -i -X POST \
https://developer.sprinklr.com/_mock/apis/sprinklr-v3/voice/application \
-H 'Authorization: Bearer <YOUR_Token_HERE>' \
-H 'Content-Type: application/json' \
-H 'Key: YOUR_API_KEY_HERE' \
-d '{
"appId": "string",
"provider": "string",
"accountSid": "string",
"name": "string",
"phoneNumber": "string",
"secondaryPhoneNumbers": [
"string"
],
"voiceAccountId": "string",
"description": "string",
"country": "string",
"dndCheckRequired": [
"string"
],
"dtmfTimeoutSeconds": 0,
"speechTimeoutSeconds": 0,
"externalCaseUrlTemplate": "string",
"callerSipDomain": "string",
"contactSipDomain": "string",
"fromNumberSipHeaderKey": "string",
"ivrProcessId": "string",
"supervisorEligibleForAcwOnBargeIn": true,
"fallbackAcwId": "string",
"callerIds": [
"string"
],
"callEventWorkflowIvrId": "string",
"byocTrunkId": "string",
"outboundWaitMessage": "string",
"providerDomain": "string",
"jitterBufferSize": "string",
"locationSipContext": "string"
}'Success
Response
{ "appId": "string", "provider": "string", "accountSid": "string", "name": "string", "phoneNumber": "string", "secondaryPhoneNumbers": [ "string" ], "voiceAccountId": "string", "description": "string", "country": "string", "dndCheckRequired": [ "string" ], "dtmfTimeoutSeconds": 0, "speechTimeoutSeconds": 0, "externalCaseUrlTemplate": "string", "callerSipDomain": "string", "contactSipDomain": "string", "fromNumberSipHeaderKey": "string", "ivrProcessId": "string", "supervisorEligibleForAcwOnBargeIn": true, "fallbackAcwId": "string", "callerIds": [ "string" ], "callEventWorkflowIvrId": "string", "byocTrunkId": "string", "outboundWaitMessage": "string", "providerDomain": "string", "jitterBufferSize": "string", "locationSipContext": "string" }